Nimrod's TODO iOS interface
===========================

In this directory you will find the iOS platform TODO interface. **NOTE:** This
project uses git submodules. [Check the parent README for intructions on how to
get them](../).

The iOS version of the code builds a view controller in charge of displaying
the todo entries to the user. Basic filter and addition options are at the
navigation bar. Creating a todo or touching one entry brings up the edition
view controller. A toolbar at the bottom allows the user to change the display
filtering options. The nimrod backend code is compiled into Objective-C code
and put into ``build/nimrod`` as a dependency target.

To make it more palatable to the Objective-C side, a special
[todointerface.nim](https://github.com/gradha/nimrod-crossplatform-todo/blob/master/ios/src/nimrod/todointerface.nim)
is provided which takes care of keeping an internal global logic and which
wraps on other nimrod code.  The user interface simply asks this interface for
content, usually through a database refetch (this could be made more efficient,
but increases the complexity of the example).  Nimrod objects are exported to
read only Objective-C objects, and all edition changes have to happen on the
nimrod side.

This version of the iOS project is known to work with Xcode 4.4.1 and also
Xcode 4.5. If you compile the project with the former you can deploy to iOS 3.x
devices. If you compile with the latter you will be restricting yourself to iOS
4.x devices.
