/** Holds a todo item.
 * This class is the objc friendly version of nimrods backend TTodo type. The
 * interface for the nimrod backend code will generate these objects, and they
 * will encapsulate themselves some logic with regards to updates.
 */
@interface NRTodo : NSObject

/// Holds the private identifier of this todo entry in the database.
@property (nonatomic, assign) long long id_;
/// Description of the task to do.
@property (nonatomic, retain) NSString *text;
/// The priority can be any user defined integer.
@property (nonatomic, assign) int priority;
// Done todos are still kept marked.
@property (nonatomic, assign) BOOL isDone;
// The modification time of the object, automatically updated by the backend.
@property (nonatomic, retain) NSDate *modificationDate;

- (BOOL)update;
- (BOOL)save;

@end
